Share via


Factories - Get

Gets a factory.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DataFactory/factories/{factoryName}?api-version=2018-06-01

URI Parameters

Name In Required Type Description
factoryName
path True

string

minLength: 3
maxLength: 63
pattern: ^[A-Za-z0-9]+(?:-[A-Za-z0-9]+)*$

The factory name.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Header

Name Required Type Description
if-none-match

string

ETag of the factory entity. Should only be specified for get. If the ETag matches the existing entity tag, or if * was provided, then no content will be returned.

Responses

Name Type Description
200 OK

Factory

Azure operation completed successfully.

Other Status Codes

The client has made a conditional request and the resource has not been modified.

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Factories_Get

Sample request

GET https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/Microsoft.DataFactory/factories/exampleFactoryName?api-version=2018-06-01

Sample response

Date: Tue, 19 Jun 2018 05:41:50 GMT
X-Content-Type-Options: nosniff
x-ms-correlation-request-id: d84e59aa-718c-4b1a-951c-076ffff766c8
x-ms-ratelimit-remaining-subscription-reads: 14994
x-ms-request-id: d84e59aa-718c-4b1a-951c-076ffff766c8
{
  "name": "exampleFactoryName",
  "type": "Microsoft.DataFactory/factories",
  "eTag": "\"00004004-0000-0000-0000-5b28979e0000\"",
  "id": "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/Microsoft.DataFactory/factories/exampleFactoryName",
  "location": "East US",
  "properties": {
    "createTime": "2018-06-19T05:41:50.0041314Z",
    "provisioningState": "Succeeded",
    "purviewConfiguration": {
      "purviewResourceId": "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/Microsoft.Purview/accounts/examplePurview"
    },
    "repoConfiguration": {
      "type": "FactoryVSTSConfiguration",
      "accountName": "ADF",
      "collaborationBranch": "master",
      "lastCommitId": "",
      "projectName": "project",
      "repositoryName": "repo",
      "rootFolder": "/",
      "tenantId": ""
    },
    "version": "2018-06-01"
  },
  "tags": {
    "exampleTag": "exampleValue"
  }
}

Definitions

Name Description
CloudError

The object that defines the structure of an Azure Data Factory error response.

CMKIdentityDefinition

Managed Identity used for CMK.

createdByType

The type of identity that created the resource.

EncryptionConfiguration

Definition of CMK for the factory.

Factory

Factory resource type.

FactoryGitHubConfiguration

Factory's GitHub repo information.

FactoryIdentity

Identity properties of the factory resource.

FactoryIdentityType

The identity type.

FactoryVSTSConfiguration

Factory's VSTS repo information.

GitHubClientSecret

Client secret information for factory's bring your own app repository configuration.

GlobalParameterSpecification

Definition of a single parameter for an entity.

GlobalParameterType

Global Parameter type.

PublicNetworkAccess

Whether or not public network access is allowed for the data factory.

PurviewConfiguration

Purview configuration.

systemData

Metadata pertaining to creation and last modification of the resource.

CloudError

The object that defines the structure of an Azure Data Factory error response.

Name Type Description
error.code

string

Error code.

error.details

CloudError[]

Array with additional error details.

error.message

string

Error message.

error.target

string

Property name/path in request associated with error.

CMKIdentityDefinition

Managed Identity used for CMK.

Name Type Description
userAssignedIdentity

string

The resource id of the user assigned identity to authenticate to customer's key vault.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

EncryptionConfiguration

Definition of CMK for the factory.

Name Type Description
identity

CMKIdentityDefinition

User assigned identity to use to authenticate to customer's key vault. If not provided Managed Service Identity will be used.

keyName

string

The name of the key in Azure Key Vault to use as Customer Managed Key.

keyVersion

string

The version of the key used for CMK. If not provided, latest version will be used.

vaultBaseUrl

string

The url of the Azure Key Vault used for CMK.

Factory

Factory resource type.

Name Type Description
eTag

string

If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.

id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

identity

FactoryIdentity

Managed service identity of the factory.

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties.createTime

string (date-time)

Time the factory was created in ISO8601 format.

properties.encryption

EncryptionConfiguration

Properties to enable Customer Managed Key for the factory.

properties.globalParameters

<string,  GlobalParameterSpecification>

List of parameters for factory.

properties.provisioningState

string

Factory provisioning state, example Succeeded.

properties.publicNetworkAccess

PublicNetworkAccess

Whether or not public network access is allowed for the data factory.

properties.purviewConfiguration

PurviewConfiguration

Purview information of the factory.

properties.repoConfiguration FactoryRepoConfiguration:

Git repo information of the factory.

properties.version

string

Version of the factory.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

FactoryGitHubConfiguration

Factory's GitHub repo information.

Name Type Description
accountName

string

Account name.

clientId

string

GitHub bring your own app client id.

clientSecret

GitHubClientSecret

GitHub bring your own app client secret information.

collaborationBranch

string

Collaboration branch.

disablePublish

boolean

Disable manual publish operation in ADF studio to favor automated publish.

hostName

string

GitHub Enterprise host name. For example: https://github.mydomain.com

lastCommitId

string

Last commit id.

repositoryName

string

Repository name.

rootFolder

string

Root folder.

type string:

FactoryGitHubConfiguration

Type of repo configuration.

FactoryIdentity

Identity properties of the factory resource.

Name Type Description
principalId

string (uuid)

The principal id of the identity.

tenantId

string (uuid)

The client tenant id of the identity.

type

FactoryIdentityType

The identity type.

userAssignedIdentities

List of user assigned identities for the factory.

FactoryIdentityType

The identity type.

Value Description
SystemAssigned

SystemAssigned

UserAssigned

UserAssigned

SystemAssigned,UserAssigned

SystemAssigned,UserAssigned

FactoryVSTSConfiguration

Factory's VSTS repo information.

Name Type Description
accountName

string

Account name.

collaborationBranch

string

Collaboration branch.

disablePublish

boolean

Disable manual publish operation in ADF studio to favor automated publish.

lastCommitId

string

Last commit id.

projectName

string

VSTS project name.

repositoryName

string

Repository name.

rootFolder

string

Root folder.

tenantId

string

VSTS tenant id.

type string:

FactoryVSTSConfiguration

Type of repo configuration.

GitHubClientSecret

Client secret information for factory's bring your own app repository configuration.

Name Type Description
byoaSecretAkvUrl

string

Bring your own app client secret AKV URL.

byoaSecretName

string

Bring your own app client secret name in AKV.

GlobalParameterSpecification

Definition of a single parameter for an entity.

Name Type Description
type

GlobalParameterType

Global Parameter type.

value

Value of parameter.

GlobalParameterType

Global Parameter type.

Value Description
Object

Object

String

String

Int

Int

Float

Float

Bool

Bool

Array

Array

PublicNetworkAccess

Whether or not public network access is allowed for the data factory.

Value Description
Enabled

Enabled

Disabled

Disabled

PurviewConfiguration

Purview configuration.

Name Type Description
purviewResourceId

string

Purview resource id.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.